:- module(test,
    [
        load/0,
        trace/2
    ]).

:- use_module(library(semweb/rdf11)).
:- use_module(library(semweb/turtle)).
:- use_module(library(semweb/rdf_portray)).
:- use_module(library(semweb/rdfs)).
:- use_module(library(janus)).

% load the knowledge graph built from the OML project
load() :- rdf_load('knowledge-graph/build/owl/msdl.uantwerpen.be/experiment/description/bundle/individuals.ttl'), rdf_portray_as(prefix:id=label).

% call a python function and pass it the Sentence string
trace(Sentence, I) :- py_call(test-simulate:perform_simulation, X), py_call(X:'__call__'(Sentence), I).
