:- module(load,
    [
        load_ontology/0
    ]).

% Load the necessary libraries
:- use_module(library(semweb/rdf11)).
:- use_module(library(semweb/turtle)).
:- use_module(library(semweb/rdf_portray)).
:- use_module(library(semweb/rdfs)).
:- use_module(library(janus)).

load_ontology() :-
    rdf_load('./backend/knowledge-graph/build/owl/msdl.uantwerpen.be/experiment/description/bundle/classes.ttl'),
    rdf_load('./backend/knowledge-graph/build/owl/msdl.uantwerpen.be/experiment/description/bundle/individuals.ttl'),
    rdf_load('./backend/knowledge-graph/build/owl/msdl.uantwerpen.be/experiment/description/bundle/properties.ttl'),
    rdf_portray_as(prefix:id=label).
