import sys
import os

def add_submodule(submodule: str):
    """
    Dynamically add the submodule's directory to sys.path
    Args:
        submodule: the name of the submodule
    """

    submodule_path = os.path.join(os.path.dirname(__file__), submodule)
    if submodule_path not in sys.path:
        sys.path.insert(0, submodule_path)
