from janus_swi import *
from src.backend.gradle import run_gradle_task

if __name__ == "__main__":
    run_gradle_task('build', './knowledge-graph/')
    consult("test")
    query_once("test:load")
    with query(
            "semweb:rdfs:rdfs_individual_of(I,'http://msdl.uantwerpen.be/experiment/vocabulary/core/sus#System')") as q:
        while s := q.next():
            print(s['I'])
    # Call python from prolog from python
    print(query_once("simulate:trace(Sentence, I)", {"Sentence": "Sentence"})['I'])
