export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        text: '#585757',
        background: '#F0F6E6',
        'text-light': '#FCFCFC',
        'text-bold': '#FCFCFC',
        'text-semi-bold': '#585757',
        'dark-green': 'rgb(0,157,120)',
        'light-green': '#defce5',
        'neon-green': 'rgb(0,196,167)',
        'background-green': '#f1f6e8',
        white: '#FCFCFC',
        black: '#121212',
        'light-black': '#282828',
        grey: '#4D4D4D',
        'light-grey': '#f5f5f5',
        'dark-grey': '#363535',
        declined: '#EA4335',
        alert: '#F2994A',
        'green-dark': '#006400',
        'green-light': '#00A36C',
      },
    },
  },
  darkMode: 'class',
  plugins: [],
}
